#!/bin/bash -e
#
# Waits for cloud-init to finish running before allowing other scripts to
# start executing.
#
###############################################################################

set -o pipefail

###############################################################################

hash sleep

###############################################################################

PS_CLOUD_INIT_FINISHED="/var/lib/cloud/instance/boot-finished"

###############################################################################

echo "------------------------------------------------------------------------"
echo "- Waiting for cloud-init...                                            -"
echo "------------------------------------------------------------------------"

while [ ! -f "${PS_CLOUD_INIT_FINISHED}" ]; do
  sleep 1
done

###############################################################################

echo "------------------------------------------------------------------------"
echo "- DONE!                                                                -"
echo "------------------------------------------------------------------------"

###############################################################################
